// *****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2010                    *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// *****************************************************************

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

// -----------------------------------------------------------------
// FVIL Sample Program
// rfIݒt@CI_CAO
//
// 쐬 : N.Moriguchi
//
//  : 2011/01/31 
//
// -----------------------------------------------------------------
namespace FVGP440_4chSample
{
    public partial class Form_BROWSEIN : Form
    {

        public string strIniFilePath;
        public int SelectChannelNo = 0x0F;

        public Form_BROWSEIN()
        {
            InitializeComponent();
        }

        /// <summary>
        /// tH[Ăяo
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// `FbN{bNX̏Ԃ𔽉fB
        /// </remarks>
        private void Form_BROWSEIN_Load(object sender, EventArgs e)
        {
            if ((SelectChannelNo & 0x01) == 0x01)
            {
                CheckBoxCH1.Checked = true;
            }
            else
            {
                CheckBoxCH1.Checked = false;
            }
            if ((SelectChannelNo & 0x02) == 0x02)
            {
                CheckBoxCH2.Checked = true;
            }
            else
            {
                CheckBoxCH2.Checked = false;
            }
            if ((SelectChannelNo & 0x04) == 0x04)
            {
                CheckBoxCH3.Checked = true;
            }
            else
            {
                CheckBoxCH3.Checked = false;
            }
            if ((SelectChannelNo & 0x08) == 0x08)
            {
                CheckBoxCH4.Checked = true;
            }
            else
            {
                CheckBoxCH4.Checked = false;
            }
        }

        /// <summary>
        /// Qƃ{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// rfIݒpinit@C̑IB
        /// </remarks>
        private void ButtonBrowse_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "init@C(*.ini;)|*.ini;";
            openFileDialog1.DefaultExt = "*.INI";
            openFileDialog1.ShowDialog();

            if ((openFileDialog1.FileNames.Length > 0))
            {
                //init@C擾
                TextBoxPath.Text = openFileDialog1.FileName;
            }

        }

        /// <summary>
        /// OK{^
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        /// <remarks>
        /// rfIݒpinit@C̐ݒB
        /// </remarks>
        private void ButtonOK_Click(object sender, EventArgs e)
        {
            //init@C̃pX擾
            strIniFilePath = TextBoxPath.Text;

            SelectChannelNo = 0;
            if (CheckBoxCH1.Checked == true)
            {
                SelectChannelNo |= 0x01;
            }
            if (CheckBoxCH2.Checked == true)
            {
                SelectChannelNo |= 0x02;
            }
            if (CheckBoxCH3.Checked == true)
            {
                SelectChannelNo |= 0x04;
            }
            if (CheckBoxCH4.Checked == true)
            {
                SelectChannelNo |= 0x08;
            }
            
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

    }
}